com.amazonaws.services.lambda.model

## Class GetEventSourceMappingRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.GetEventSourceMappingRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class GetEventSourceMappingRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`GetEventSourceMappingRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetEventSourceMappingRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getUUID()` The AWS Lambda assigned ID of the event source mapping.
`int` `hashCode()`
`void` `setUUID(String uUID)` The AWS Lambda assigned ID of the event source mapping.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetEventSourceMappingRequest` `withUUID(String uUID)` The AWS Lambda assigned ID of the event source mapping.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetEventSourceMappingRequest

    public GetEventSourceMappingRequest()

### Method Detail

#### setUUID

    public void setUUID(String uUID)

The AWS Lambda assigned ID of the event source mapping.

Parameters:
  `uUID` - The AWS Lambda assigned ID of the event source mapping.

#### getUUID

    public String getUUID()

The AWS Lambda assigned ID of the event source mapping.

Returns:
  The AWS Lambda assigned ID of the event source mapping.

#### withUUID

    public GetEventSourceMappingRequest withUUID(String uUID)

The AWS Lambda assigned ID of the event source mapping.

Parameters:
  `uUID` - The AWS Lambda assigned ID of the event source mapping.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetEventSourceMappingRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`